Summary:	OpenGL GTK widget
Name:		gtkglarea2
Version:	1.99.0
Release:	10%{?dist}

License:	LGPLv2+
Group:		System Environment/Libraries
URL:		ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea
# ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea/
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea/1.99/gtkglarea-1.99.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel

%package devel
Summary:	Development package for gtkglarea2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2-devel
Requires:       libGL-devel
Requires:       libGLU-devel

%description
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.

%description devel
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.
This package contains header files and libraries for GtkGLArea
software development.

%prep
%setup -q -n gtkglarea-%{version}

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_libdir}/libgtkgl-2.0.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libgtkgl-2.0.la
# %{_libdir}/libgtkgl-2.0.a
%{_libdir}/libgtkgl-2.0.so
%{_includedir}/gtkgl-2.0
%{_libdir}/pkgconfig/gtkgl-2.0.pc

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.99.0-9
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.99.0-8
- Autorebuild for GCC 4.3

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.99.0-7
- Rebuild for FE6

* Sat Mar 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.99.0-6
- Re-enable building.
- disable static libs.
- disable dep-tracking.
- BR|R: libGL-devel, libGLU-devel.

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.99.0-5
- Rebuild for Fedora Extras 5

* Sun Jan  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.99.0-3
- adapted for modular xorg

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:1.99.0-1
- Adapted for Extras

* Sun Jul  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.4
- Renamed specfile to gtkglarea2.spec to make rpmlint happy.
- Added missing dependencies for devel package
- Fixed typo in devel Summary:

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.3
- BuildRequires for XFree86-Mesa-libGL/libGLU
- Removed URL in Source0

* Tue May  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.2
- buildroot -> RPM_BUILD_ROOT

* Wed Apr 23 2003 Dams <anvil[AT]livna.org>
- Initial build.
